<!doctype html>

<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>Hacking python decorators| by theol.liang@gmail.com</title>
    
    <meta name="description" content="Hacking python decorators presentations in Markdown" />
    <meta name="author" content="Liang Guisheng" />
    <link rel="stylesheet" href="../../extras/highlight/styles/github.css">

    <link href="css/markdown-slides.css" rel="stylesheet" />
    <link href="css/devopsy.css" rel="stylesheet" />
    <link href="css/effects.css" rel="stylesheet" />
    <link href="css/custom.css" rel="stylesheet" />

</head>

<body class="impress-not-supported">
<div class="fallback-message">
    <p>Your browser <b>doesn't support the features required</b> by impress.js, so you are presented with a simplified version of this presentation.</p>
    <p>For the best experience please use the latest <b>Chrome</b>, <b>Safari</b> or <b>Firefox</b> browser.</p>
</div>

<div id="impress" data-transition-duration="1000">

<div class="step slide markdown" data-rel-x="0" data-rel-y="900">

# Hacking python decorators

Liang Guisheng

theol.liang@gmail.com

-----

</div>


<div class="step slide markdown" data-rotate="-90" data-x="3500" data-y="2000" data-z="-1000" data-scale="4">

# 20. What else?

* Hacking python decorator & metaclass
* Hacking python iteration & comprehensions
* Hacking python builtin data types


</div>

<script type="text/javascript">
var enableBwCss = function(){
    disableDevopsCss();
    disableEffectsCss();
};

var enableDevopsCss = function(){
    document.body.classList.add("devopsy");
    disableEffectsCss();
};

var disableDevopsCss = function(){
    document.body.classList.remove("devopsy");
};

var enableEffectsCss = function(){
    document.body.classList.add("effects");
    disableDevopsCss();
};

var disableEffectsCss = function(){
    document.body.classList.remove("effects");
};
</script>


<div class="step slide markdown" data-rotate="0" data-x="6500" data-y="7000" data-z="-2000">

# Thanks

## Happy hacking python  
</div>


<div id="overview" class="step" data-x="5000" data-y="4000" data-scale="10" style="pointer-events: none;" data-rotate="5">
</div>

</div>

<div id="impress-toolbar"></div>
<div id="impress-help"></div>


<!-- Extra modules
     Load highlight.js, mermaid.js and markdown.js from extras.
     See also src/plugins/extras/extras.js -->
<script type="text/javascript" src="../../extras/highlight/highlight.pack.js"></script>
<script type="text/javascript" src="../../extras/mermaid/mermaid.min.js"></script>
<script type="text/javascript" src="../../extras/markdown/markdown.js"></script>
<!--
    To make all described above really work, you need to include impress.js in the page.
    You also need to call a `impress().init()` function to initialize impress.js presentation.
    And you should do it in the end of your document. 
-->
<script type="text/javascript" src="../../js/impress.js"></script>
<script>
    document.body.classList.add("effects");
    impress().init();
</script>
</body>
</html>
